# strcmpi

compare character strings (case independent)

## Calling Sequence

    res = strcmpi(string_one, string_two)

## Arguments

string_one

  a character string or matrix of character strings.

string_two

  a character string or matrix of character strings.

res

  a matrix of integers.

## Description

`res = strcmpi(string_one, string_two)` returns an integral value indicating the relationship between the strings. The two strings are compared in using the lexicographical order.

The value is `0` if `string_one` is equal to `string_two` (case independently), `1` if `string_one` is greater than `string_two` and `-1` else.

## Examples

    TXT1 = ['scilab','SciLab';'Strcmp','STRcmp'];
    TXT2 = ['ScIlAb','sciLab';'sTrCmP','StrCMP'];
    strcmpi(TXT1,TXT2)
    strcmpi(TXT1,'scilab')

## See Also

- strcat
- strcmp